%define upstream_name    Term-Animation
%define upstream_version 2.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    ASCII sprite animation framework 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/K/KB/KBAUCOM/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Curses) >= 1.60.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
This module provides a framework to produce sprite animations using ASCII art.
Each ASCII 'sprite' is given one or more frames, and placed into the animation
as an 'animation object'. An animation object can have a callback routine that
controls the position and frame of the object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
# pod coverage fails - https://rt.cpan.org/Ticket/Display.html?id=67023
rm -f t/pod-coverage.t
%make test

%install
%make_install

%files
%doc Changes META.yml MIGRATION README examples
%{perl_vendorlib}/Term
%{_mandir}/*/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 2.600.0-9.mga8
+ Revision: 1497291
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.600.0-8.mga7
+ Revision: 1271626
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.600.0-7.mga6
+ Revision: 1033918
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 2.600.0-6.mga6
+ Revision: 932416
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.600.0-5.mga5
+ Revision: 739062
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.600.0-4.mga5
+ Revision: 686363
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.600.0-3.mga4
+ Revision: 514975
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.600.0-2.mga3
+ Revision: 373199
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 04 2011 jquelin <jquelin> 2.600.0-1.mga1
+ Revision: 80389
- update to 2.6

* Mon Mar 28 2011 jquelin <jquelin> 2.500.0-1.mga1
+ Revision: 78394
- update to 2.5

* Sat Jan 22 2011 jquelin <jquelin> 2.400.0-1.mga1
+ Revision: 31227
- mageia rebuild
- imported package perl-Term-Animation


* Sat Feb 13 2010 Jérôme Quelin <jquelin@mandriva.org> 2.400.0-1mdv2010.1
+ Revision: 505274
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 2.4-6mdv2010.0
+ Revision: 430555
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 2.4-5mdv2009.0
+ Revision: 258486
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 2.4-4mdv2009.0
+ Revision: 246513
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 2.4-2mdv2008.1
+ Revision: 136713
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Dec 20 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.4-1mdv2007.0
+ Revision: 100400
- new version

* Wed Nov 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.2-1mdv2007.1
+ Revision: 84307
- new version
- Import perl-Term-Animation

* Fri Sep 09 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-2mdk
- fix buildrequires (Luca Olivetti <luca@ventoso.org>)

* Thu Sep 08 2005 Guillaume Rousse <guillomovitch@mandriva.org> 2.1-1mdk
- first mdk release

